import { o as findCategoryBySlug } from "./categories-MJJjwt1u.mjs";
import { M as notFound, f as lazyRouteComponent, p as createFileRoute } from "../_libs/@tanstack/react-router+[...].mjs";
//#region node_modules/.nitro/vite/services/ssr/assets/category._slug-BqzvrAFK.js
var $$splitComponentImporter = () => import("./category._slug-D6HXRxGW.mjs");
var $$splitErrorComponentImporter = () => import("./category._slug-BKr2n0ub.mjs");
var $$splitNotFoundComponentImporter = () => import("./category._slug-BsN0M7Rb.mjs");
var Route = createFileRoute("/category/$slug")({
	loader: ({ params }) => {
		const name = findCategoryBySlug(params.slug);
		if (!name) throw notFound();
		return { name };
	},
	head: ({ loaderData }) => {
		const title = loaderData ? `${loaderData.name} — SulejaMarket` : "Category — SulejaMarket";
		const desc = loaderData ? `Shop ${loaderData.name} deals on SulejaMarket. Fast delivery across Nigeria.` : "Browse categories on SulejaMarket.";
		return { meta: [
			{ title },
			{
				name: "description",
				content: desc
			},
			{
				property: "og:title",
				content: title
			},
			{
				property: "og:description",
				content: desc
			}
		] };
	},
	notFoundComponent: lazyRouteComponent($$splitNotFoundComponentImporter, "notFoundComponent"),
	errorComponent: lazyRouteComponent($$splitErrorComponentImporter, "errorComponent"),
	component: lazyRouteComponent($$splitComponentImporter, "component")
});
//#endregion
export { Route as t };
